import request from '@/utils/request'

// 查询故障管理跟踪列表
export function listList(query) {
  return request({
    url: '/reliability/list/list',
    method: 'get',
    params: query
  })
}

// 优先级统计
export function priorityData(query) {
  return request({
    url: '/reliability/list/priorityData',
    method: 'get',
    params: query
  })
}
// 专业统计
export function disciplineData(query) {
  return request({
    url: '/reliability/list/disciplineData',
    method: 'get',
    params: query
  })
}

// 查询故障管理跟踪详细
export function getList(id) {
  return request({
    url: '/reliability/list/' + id,
    method: 'get'
  })
}

// 新增故障管理跟踪
export function addList(data) {
  return request({
    url: '/reliability/list',
    method: 'post',
    data: data
  })
}

//初选提交故障管理跟踪
export function insertList(id) {
  return request({
    url: '/reliability/list/insert/' + id,
    method: 'get',
  })
}

// 修改故障管理跟踪
export function updateList(data) {
  return request({
    url: '/reliability/list',
    method: 'put',
    data: data
  })
}

// 删除故障管理跟踪
export function delList(id) {
  return request({
    url: '/reliability/list/' + id,
    method: 'delete'
  })
}

// 导出故障管理跟踪
export function exportList(query) {
  return request({
    url: '/reliability/list/export',
    method: 'get',
    params: query
  })
}
